Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::CloseableThreadLocal< TYPE > Class Template Reference

General purpose thread-local map. More...

`#include <CloseableThreadLocal.h>`

Inheritance diagram for Lucene::CloseableThreadLocal< TYPE >:

## Public Types

typedef boost::shared_ptr< TYPE > | localDataPtr
typedef Map< int64_t, localDataPtr > | MapLocalData

## Public Member Functions

| CloseableThreadLocal ()
localDataPtr | get ()
void | set (const localDataPtr &data)
void | close ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Protected Member Functions

virtual localDataPtr | initialValue ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

MapLocalData | localData
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

template<typename TYPE>
class Lucene::CloseableThreadLocal< TYPE >

General purpose thread-local map.

## Member Typedef Documentation

## ◆ localDataPtr

template<typename TYPE>

typedef boost::shared_ptr<TYPE> Lucene::CloseableThreadLocal< TYPE >::localDataPtr

## ◆ MapLocalData

template<typename TYPE>

typedef Map<int64_t, localDataPtr> Lucene::CloseableThreadLocal< TYPE >::MapLocalData

## Constructor & Destructor Documentation

## ◆ CloseableThreadLocal()

template<typename TYPE>

Lucene::CloseableThreadLocal< TYPE >::CloseableThreadLocal | ( |  | ) |

inline

References localData, and Lucene::Map< int64_t, localDataPtr >::newInstance().

## Member Function Documentation

## ◆ close()

template<typename TYPE>

void Lucene::CloseableThreadLocal< TYPE >::close | ( |  | ) |

inline

References Lucene::LuceneThread::currentId(), and localData.

## ◆ get()

template<typename TYPE>

localDataPtr Lucene::CloseableThreadLocal< TYPE >::get | ( |  | ) |

inline

References Lucene::LuceneThread::currentId(), initialValue(), and localData.

## ◆ initialValue()

template<typename TYPE>

virtual localDataPtr Lucene::CloseableThreadLocal< TYPE >::initialValue | ( |  | ) |

inline protected virtual

Referenced by get().

## ◆ set()

template<typename TYPE>

void Lucene::CloseableThreadLocal< TYPE >::set | ( | const localDataPtr & | data | ) |

inline

References Lucene::LuceneThread::currentId(), and localData.

## Field Documentation

## ◆ localData

template<typename TYPE>

MapLocalData Lucene::CloseableThreadLocal< TYPE >::localData

protected

Referenced by close(), CloseableThreadLocal(), get(), and set().

The documentation for this class was generated from the following file:

- CloseableThreadLocal.h

clucene.sourceforge.net